@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/* =========================
 ローディング画面 
========================= */

/* 2回目以降はローディング自体を出さない */
html.preloader-seen #loading {
  display: none !important;
}

#loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #FFFFFF;
  z-index: 9999;
  overflow: hidden;
  transition: opacity 0.8s ease, visibility 0.8s ease;
}

#loading.loaded {
  opacity: 0;
  visibility: hidden;
  /* display: none; を追加（保険） */
  display: none;
}

/* ドローン（画面基準） */
.loading-drone {
  position: absolute;
  width: 200px;
  height: auto;
  left: 50%;
  bottom: -150px;
  transform: translateX(-50%);
  animation: drone-move 3s ease-in-out forwards;
  z-index: 2;
}

/* ローディング背景の雲 */
#loading::before,
#loading::after {
  content: "";
  position: absolute;
  background-repeat: no-repeat;
  background-size: contain;
  pointer-events: none;
  z-index: 1;
}
/* 左上の雲 */
#loading::before {
  top: 25%;
  left: 0;
  max-width: 250px;
  min-width: 130px;
  max-height: 243px;
  min-height: 126px;
  background-image: url("https://pdgroup.sakura.ne.jp/drone/wp-content/uploads/2025/12/cloud_6_inverted.png");
}
/* 右下の雲 */
#loading::after {
  bottom: 15%;
  right: 0;
  max-width: 300px;
  min-width: 200px;
  max-height: 231px;
  min-height: 154px;
  background-image: url("https://pdgroup.sakura.ne.jp/drone/wp-content/uploads/2025/11/cloud_6.png");
}

/* ドローンアニメーション */
@keyframes drone-move {
  0% {
    bottom: -150px;
    opacity: 0;
  }
  30% {
    bottom: 80px;
    opacity: 1;
  }
  60% {
    bottom: 80px;
    opacity: 1;
  }
  100% {
    bottom: 110%;
    opacity: 0;
  }
}

/* =========================
  ページ本体フェード（Cocoon）
========================= */

#wrap {
  opacity: 0;
  transition: opacity 1.2s ease;
}

body.page-loaded #wrap {
  opacity: 1;
}


/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
